%bcond_without bootstrap

Name:       ibus-table-erbi
Version:    1.1.0.20090407
Release:    4%{?dist}
Summary:    Erbi input methods for ibus-table
License:    GPLv2+
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires: ibus-table >= 1.1.0.20090220-5 
%if %{with bootstrap}
BuildRequires:  gettext-devel >= 0.17, automake >= 1.10.1
%endif
# uncomment if build with extra phrases.
# BuildRequires: ibus-table-extraphrase >= 1.1.0
Requires(post):   ibus-table > 1.1.0

%description
The package contains Erbi input methods for Table engine of IBus platform. 

%prep
%setup -q

%build
export IBUS_TABLE_CREATEDB="%{_bindir}/ibus-table-createdb --no-create-index"
%if %{with bootstrap}
./autogen.sh \
    --prefix=%{_prefix} \
%else
%configure \
%endif
# replace below blank line with --enable-extra-phrases, 
# if build with extra phrases.

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} INSTALL="install -p" NO_INDEX=true install

%clean
rm -rf %{buildroot}

%post
%{_bindir}/ibus-table-createdb -i -n erbi_qs.db -s erbi_qs.txt

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%verify(not md5 size mtime) %{_datadir}/ibus-table/tables/erbi_qs.db
%{_datadir}/ibus-table/icons/erbi-qs.svg

%changelog
* Tue May 19 2009 Caius 'kaio' Chance <cchance@redhat.com> - 1.1.0.20090407-4.fc11
- Create index only during post-install.

* Tue Apr 07 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090407-3.fc11
- Fixed files typo.

* Tue Apr 07 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090407-2.fc11
- Updated spec file info.

* Tue Apr 07 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090407-1.fc11
- Corrected license to GPLv2.

* Mon Apr 06 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090403-2.fc11
- Added ChangeLog as doc.

* Thu Apr 02 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090403-1.fc11
- Updated source tarball.

* Thu Apr 02 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090402-1.fc11
- Resolves: rhbz#488173
- Splited from ibus-table.
